Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.service
Class ServiceSupport

    org.huihoo.jfox.service.ComponentSupport
      |
      +--org.huihoo.jfox.service.ServiceSupport

All Implemented Interfaces:
  Component, ComponentSupportMBean, Loggable, Persistentable, java.lang.Runnable, java.io.Serializable, Service, ServiceSupportMBean

Direct Known Subclasses:
  ServiceWrapper

public abstract class ServiceSupport
extends ComponentSupport
implements ServiceSupportMBean

Author:
  Young Yang
See Also:
  Serialized Form

Fields inherited from class org.huihoo.jfox.service.ComponentSupport
`logger, name, objectName, proxyInstance, sequence, server, state`

Constructor Summary
`ServiceSupport()`
`ServiceSupport(java.lang.String name)`

Method Summary
`protected abstract void` | `doStart()` do actually start action
`protected abstract void` | `doStop()` do actually stop action
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object obj)`
`boolean` | `isRunning()` the running flag
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)` ObjectName must specified in the MLet, or use registerMBean specified explicitly
`void` | `start()` doStart the service, doCreate is already called
`void` | `stop()` doStop the service

Methods inherited from class org.huihoo.jfox.service.ComponentSupport
`destroy, doDestroy, doInit, getLogger, getName, getObjectName, getProxyInstance, getState, init, parseName, setLogger, setName`

Methods inherited from interface org.huihoo.jfox.service.Component
`destroy, getName, getState, init`

Methods inherited from interface org.huihoo.jfox.service.Loggable
`getLogger`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.huihoo.jfox.service.ComponentSupportMBean
`getObjectName, getProxyInstance`

Constructor Detail

### ServiceSupport

    public ServiceSupport()

### ServiceSupport

    public ServiceSupport(java.lang.String name)

Method Detail

### isRunning

    public boolean isRunning()

  Description copied from interface: `Service`
  the running flag
  Specified by:
    `isRunning` in interface `Service`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `Service`
  doStart the service, doCreate is already called
  Specified by:
    `start` in interface `Service`

### stop

    public void stop()
              throws java.lang.Exception

  Description copied from interface: `Service`
  doStop the service
  Specified by:
    `stop` in interface `Service`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  ObjectName must specified in the MLet, or use registerMBean specified explicitly
  Overrides:
    `preRegister` in class `ComponentSupport`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Overrides:
    `postRegister` in class `ComponentSupport`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Overrides:
    `preDeregister` in class `ComponentSupport`

### postDeregister

    public void postDeregister()

  Overrides:
    `postDeregister` in class `ComponentSupport`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object obj)

  Overrides:
    `handleNotification` in class `ComponentSupport`

### doStart

    protected abstract void doStart()
                             throws java.lang.Exception

  do actually start action

### doStop

    protected abstract void doStop()
                            throws java.lang.Exception

  do actually stop action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD